<?php 
    if(isset($_GET['id']) && !empty($_GET['id'])) {
        $inboxApi  	          = new InboxApi($db, $utils);
        $inboxApi->deleteContactList($_GET['id']);
        $session->data['messageType'] = "success"; 
        $session->data['messageTitle'] = "Başarılı!"; 
        $session->data['message'] = "Kişi listesi başarıyla silindi."; 

        if(isset($_GET['redirect']) && !empty($_GET['redirect'])) {
            header('Location: ' . $_GET['redirect']);
            exit();
        }else{
            header('Location: /admin/inbox/contactlist');
            exit();
        }
    }else{
        $session->data['messageType'] = "error"; 
        $session->data['messageTitle'] = "Hata!"; 
        $session->data['message'] = "Bir hata oluştu ve kişi listesi silinemedi."; 

        header('Location: /admin/inbox/contactlist');
        exit();
    }